%global debug_package   %{nil}
%define import_path     github.com/tchap/go-patricia
%define gopath          %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}

Name:           golang-gopatricia
Version:        1.0.1
Release:        %mkrel 8
Summary:        A generic patricia trie (also called radix tree) implemented in Go (Golang)
License:        BSD
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/v%{version}.tar.gz
BuildRequires:  golang
Requires:       golang
Group:			Development/Golang
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/patricia) = %{version}-%{release}

%description
A generic patricia trie (also called radix tree) implemented in Go (Golang)

%prep
%setup -n go-patricia-%{version}

%build

%install
for d in patricia; do
    install -d -p %{buildroot}/%{gosrc}/$d
    cp -av $d/*.go %{buildroot}/%{gosrc}/$d
done

%check

%files
%doc LICENSE README.md
%dir %attr(755,root,root) %{gosrc}/patricia
%{gosrc}/patricia/*.go


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.1-8.mga10
+ Revision: 2211167
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Golang

* Fri Mar 25 2022 umeabot <umeabot> 1.0.1-7.mga9
+ Revision: 1826341
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.1-6.mga8
+ Revision: 1512627
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-5.mga7
+ Revision: 1298014
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.1-4.mga6
+ Revision: 938697
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-3.mga5
+ Revision: 743335
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-2.mga5
+ Revision: 679859
- Mageia 5 Mass Rebuild

* Fri Jul 11 2014 bcornec <bcornec> 1.0.1-1.mga5
+ Revision: 651238
- First version from upstream
- Created package structure for golang-gopatricia.

